//-----------Left List-----------
function main_MqttCertificate_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1);
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/MqttCertificate/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttCertificate/html/FirstPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = null;
}
//__________檔案 上傳下載__________
function main_RemoveMqttTrustedCertificate_click(that)
{
	var Class = new MqttCertificate();
	Class.RemoveMqttTrustedCertificate(that);
	Class = null;
}
function main_RemoveMqttCertificate_click(that)
{
	var Class = new MqttCertificate();
	Class.RemoveMqttCertificate(that);
	Class = null;
}
function main_RemoveMqttPrivateKey_click(that)
{
	var Class = new MqttCertificate();
	Class.RemoveMqttPrivateKey(that);
	Class = null;
}





function main_UpdateMqttTrustedCertificate_click(that)
{
	var Class = new MqttCertificate();
	Class.UpdateTrustedCertificate(that);
	Class = null;
}
function main_UpdateMqttCertificate_click(that)
{
	var Class = new MqttCertificate();
	Class.UpdateCertificate(that);
	Class = null;
}
function main_UpdateMqttPrivateKey_click(that)
{
	var Class = new MqttCertificate();
	Class.UpdatePrivateKey(that);
	Class = null;
}